org.wso2.carbon.dataservices.sql.driver.query.select

## Class SelectQuery

- java.lang.Object
- - org.wso2.carbon.dataservices.sql.driver.query.Query
  - - org.wso2.carbon.dataservices.sql.driver.query.ConditionalQuery
    - - org.wso2.carbon.dataservices.sql.driver.query.select.SelectQuery

- Direct Known Subclasses:
    CustomSelectQuery, ExcelSelectQuery, GSpreadSelectQuery

      public abstract class SelectQuery
      extends ConditionalQuery

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SelectQuery(Statement stmt)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ResultSet` | `executeSQL()`
    `int` | `executeUpdate()`
    `ColumnInfo[]` | `getTargetColumns()`
    `DataTable` | `getTargetTable()`
    `String` | `getTargetTableName()`
    `boolean` | `isAllColumnsSelected()`

    - ### Methods inherited from class org.wso2.carbon.dataservices.sql.driver.query.ConditionalQuery

      `getCondition, processConditions`

    - ### Methods inherited from class org.wso2.carbon.dataservices.sql.driver.query.Query

      `execute, executeQuery, findParam, getConnection, getParameters, getProcessedTokens, getStatement`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SelectQuery

          public SelectQuery(Statement stmt)
                      throws SQLException

      Throws:
        `SQLException`

  - ### Method Detail

    - #### executeUpdate

          public int executeUpdate()
                            throws SQLException

      Specified by:
        `executeUpdate` in class `Query`
      Throws:
        `SQLException`

    - #### executeSQL

          public ResultSet executeSQL()
                               throws SQLException

      Throws:
        `SQLException`

    - #### getTargetColumns

          public ColumnInfo[] getTargetColumns()

    - #### getTargetTable

          public DataTable getTargetTable()

    - #### getTargetTableName

          public String getTargetTableName()

    - #### isAllColumnsSelected

          public boolean isAllColumnsSelected()

Copyright © 2017 WSO2. All rights reserved.